cPanel System Requirements

  Print
Linux Supported Operating Systems:

i386 Architecture:

RedHat Enterprise Linux Red Hat (R) Enterprise Linux (R) 2.1, 3, 4, 5 Recommended!
CentOS CentOS 3.x, 4.x, 5.x Recommended!

 

x86-64/amd64 Architecture:

RedHat Enterprise Linux Red Hat (R) Enterprise Linux (R) 3, 4, 5 Recommended!
CentOS CentOS 4.x, 5.x Recommended!

 

FreeBSD (recommended for advanced users only)

WARNING: HostGator CANNOT install cPanel on a FreeBSD server. We can leave the license on the server, but you will need to install cPanel yourself. We can only offer limited support for FreeBSD servers.

NOTICE: If you do not have experience administering a FreeBSD system and upgrading ports, we highly recommend you choose an operating system that has binary updates like RedHat or CentOS.

cPanel only uses the ports system for updates on FreeBSD. You should not use binary packages (pkg_add) on FreeBSD when using cPanel. Use of both systems can cause major administration headaches when dependencies are removed from one system without the other system being aware. The ports being used are coming directly from FreeBSD's ports repository. As port upgrades may require some manual interaction to ensure the system is functioning as expected, we are unable to solve some problems automatically as we are on systems like RedHat or CentOS. For this reason, we ask for those without FreeBSD administration experience to use RedHat or CentOS so they will have a better overall experience with our software


i386 Architecture:

FreeBSD (R) 6.0, 6.1, 6.2, 6.3, 7.0

 

x86-64/amd64 Architecture:

FreeBSD (R) 6.0, 6.1, 6.2, 6.3, 7.0

 

Supported Virtual Environments:

Linux-VServer Linux-VServer
User-Mode Linux User-Mode Linux
FreeVPS FreeVPS
ServerXchange ServerXchange (R)
Virtual Iron Virtual IronTM
Virtuozzo VirtuozzoTM
VMware VMware (R) Server, ESX Server
XenEnterpriseTM, XenExpressTM, XenServerTM

 

Operating Systems at EOL (end of life)

These operating systems are supported by cPanel but no longer receive updates from the vendor. cPanel recommends upgrading to a vendor supported distribution. New installations on these OSes are not supported.

Fedora FedoraTM Cores 1, 2, 3, 4, 5, 6, 7
RedHat Fedora-Legacy, sames as Red Hat (R) 7.3, 9
FreeBSD (R) 4.2, 4.3, 4.4, 4.5, 4.6, 4.8, 4.10, 5.0, 5.3, 5.4
Mandriva Mandriva 7.2, 8.0, 8.1, 8.2, 9.0, 9.1, 9.2
SuSE SuSE (R) 9.0
Trustix Trustix ES 2.0, 2.2

Not compatible with cPanel:

Debian We can provide Debian and Ubuntu, but cPanel is not compatible with these.Linux Supported Operating Systems:

i386 Architecture:

RedHat Enterprise Linux Red Hat (R) Enterprise Linux (R) 2.1, 3, 4, 5 Recommended!
CentOS CentOS 3.x, 4.x, 5.x Recommended!

 

x86-64/amd64 Architecture:

RedHat Enterprise Linux Red Hat (R) Enterprise Linux (R) 3, 4, 5 Recommended!
CentOS CentOS 4.x, 5.x Recommended!

 

FreeBSD (recommended for advanced users only)

WARNING: Osirion CANNOT install cPanel on a FreeBSD server. We can leave the license on the server, but you will need to install cPanel yourself. We can only offer limited support for FreeBSD servers.

NOTICE: If you do not have experience administering a FreeBSD system and upgrading ports, we highly recommend you choose an operating system that has binary updates like RedHat or CentOS.

cPanel only uses the ports system for updates on FreeBSD. You should not use binary packages (pkg_add) on FreeBSD when using cPanel. Use of both systems can cause major administration headaches when dependencies are removed from one system without the other system being aware. The ports being used are coming directly from FreeBSD's ports repository. As port upgrades may require some manual interaction to ensure the system is functioning as expected, we are unable to solve some problems automatically as we are on systems like RedHat or CentOS. For this reason, we ask for those without FreeBSD administration experience to use RedHat or CentOS so they will have a better overall experience with our software


i386 Architecture:

FreeBSD (R) 6.0, 6.1, 6.2, 6.3, 7.0

 

x86-64/amd64 Architecture:

FreeBSD (R) 6.0, 6.1, 6.2, 6.3, 7.0

 

Supported Virtual Environments:

Linux-VServer Linux-VServer
User-Mode Linux User-Mode Linux
FreeVPS FreeVPS
ServerXchange ServerXchange (R)
Virtual Iron Virtual IronTM
Virtuozzo VirtuozzoTM
VMware VMware (R) Server, ESX Server
XenEnterpriseTM, XenExpressTM, XenServerTM

 

Operating Systems at EOL (end of life)

These operating systems are supported by cPanel but no longer receive updates from the vendor. cPanel recommends upgrading to a vendor supported distribution. New installations on these OSes are not supported.

Fedora FedoraTM Cores 1, 2, 3, 4, 5, 6, 7
RedHat Fedora-Legacy, sames as Red Hat (R) 7.3, 9
FreeBSD (R) 4.2, 4.3, 4.4, 4.5, 4.6, 4.8, 4.10, 5.0, 5.3, 5.4
Mandriva Mandriva 7.2, 8.0, 8.1, 8.2, 9.0, 9.1, 9.2
SuSE SuSE (R) 9.0
Trustix Trustix ES 2.0, 2.2

Not compatible with cPanel:

Debian We can provide Debian and Ubuntu, but cPanel is not compatible with these.

Did you find this article useful?   0 out of 0 people found this article useful.

Related Articles


  • Comments

Add Comment

Replying to  

  Refresh

Login

 
Forgot password?
Register now

Language